
# Optimally Fortifying Logic Reliability through Criticality Ranking
@article{FPGAoptimally,
	author = {Bai, Yu and Alawad, Mohammed and F. DeMara, Ronald and Lin, Mingjie},
	year = {2015},
	month = {03},
	pages = {150-172},
	title = {Optimally Fortifying Logic Reliability through Criticality Ranking},
	volume = {4},
	journal = {Electronics},
	doi = {10.3390/electronics4010150}
}

# VHDL standard
@ARTICLE{VHDL_IEEE,
	journal={IEEE Std 1076-2008 (Revision of IEEE Std 1076-2002)},
	title={{IEEE Standard VHDL Language Reference Manual}},
	year={2009},
	volume={},
	number={},
	pages={c1-626},
	keywords={hardware description languages;IEEE standard;VHDL language reference manual;VHSIC hardware description language;formal notation;electronic systems;IEEE Standards;Hardware design languages;Computer languages;computer languages;electronic systems;hardware;hardware design;VHDL},
	doi={10.1109/IEEESTD.2009.4772740},
	ISSN={},
	month={Jan}
}

# VHDL Coding Styles and Methodologies
@book{VHDLMethodology,
	author = {Ben {Cohen}},
	year = {1999},
	month = {03},
	day = {31},
	pages = {455},
	publisher = {Springer},
	edition = {2},
	title = {VHDL Coding Styles and Methodologies},
	doi = {10.1007/978-1-4615-2313-0}
}

# HDL Codidng Practices to Accelerate Design Performance
@manual{HDLCodingPractices,
	organization = {Xilinx, Inc.},
	author = {Phillipe Garrault and Brian Philofsky},
	title = {HDL Coding Practices to Accelerate Design Performance},
	type = {Whitepaper},
	number = {WP231},
	ulr = {https://www.xilinx.com/support/documentation/white_papers/wp231.pdf},
	Urlaccessdate = {24 aug 2020},
	year = {2006}
}

# Coding Styles Guidelines
@manual{CodingStylesGuidelines,
	organization = {Xilinx, Inc.},
	title = {Coding Styles Guidelines},
	type = {Guideline},
	number = {1-877-XLX-CLAS},
	ulr = {https://wiki.electroniciens.cnrs.fr/images/Xilinx_HDL_Coding_style.pdf},
	Urlaccessdate = {24 aug 2020}
}


